Bug 10497 - Redhat 6.2 breaks USB mouse support
Redhat 6.2 breaks USB mouse support
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-03-31 17:36 EST by compwiz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-03 18:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description compwiz 2000-03-31 17:36:33 EST
After making a /dev/usb/usbmouse0 and assigning it to c,10,32, then loading
the necessary modules, USB mice worked fine under RedHat 6.1 with the
development kernels.  However, after updating to 6.2, that device is no
longer available. It comes back with a message "no such device" when trying
to access it, and in the syslog it says "cannot load module
char-major-10-32" even though the necessary modules are loaded.
Comment 1 compwiz 2000-03-31 18:24:59 EST
Just a little note to whomever changed the category - this isn't a problem with
the kernel package, because I'm using a development kernel, which is not
included with the RH distribution anyway. The problem is something other than
the kernel.
Comment 2 compwiz 2000-04-01 20:21:59 EST
I recieved a tip from someone on the linux-kernel list: Changing the device to
c, 13, 32 (major number 13 instead of 10) fixed this problem for some odd reason
- I'd still like to know why this happened.
Comment 3 Nalin Dahyabhai 2000-04-03 15:23:59 EDT
The dev package has never had any USB devices in it, nor does MAKEDEV know how
to make them.  The devices.txt file doesn't mention them using major 10 or 13.
How/when did you create them?  Did you upgrade from one development kernel to
Comment 4 compwiz 2000-04-03 18:12:59 EDT
I'm almost positive I had changed kernel versions before upgrading RedHat 6.1 to 6.2 without any problems with the USB mouse, but it seems that I'm wrong from what I've discovered. It turns out that the /dev settings for USB mice have changed THREE times over the last few kernel versions - so fast that even the maintainers could not keep the documentation (devices.txt AND usb/hid.txt) up to date, so noone could have known what the new settings were.  Since it looks like everything's back to normal now, you can set the bug to WORKSFORME or RESOLVED.
Comment 5 Nalin Dahyabhai 2000-04-03 18:15:59 EDT
I'll tag it as DEFERRED; it's something we'll have to update both the dev and
MAKEDEV packages for when the kernel hits 2.4.0, which hopefully will be in
time to be included in the next release of Red Hat Linux.


Note You need to log in before you can comment on or make changes to this bug.